Page MenuHomePhabricator

[RISCV][Clang] Add RVV Widening Integer Extension intrinsic functions.
ClosedPublic

Authored by khchen on Mar 29 2021, 11:41 AM.

Diff Detail

Event Timeline

khchen created this revision.Mar 29 2021, 11:41 AM
khchen requested review of this revision.Mar 29 2021, 11:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 29 2021, 11:41 AM
khchen updated this revision to Diff 334203.Mar 30 2021, 9:47 AM

rebase and refine code.

HsiangKai accepted this revision.Apr 6 2021, 12:27 AM

LGTM.

clang/include/clang/Basic/riscv_vector.td
264

space after '#'.

This revision is now accepted and ready to land.Apr 6 2021, 12:27 AM
This revision was landed with ongoing or failed builds.Apr 6 2021, 3:16 AM
This revision was automatically updated to reflect the committed changes.